<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>GCM API(contract-information) Client - PUT</title>
<script type="text/javascript" src="common.js"></script>
<script type="text/javascript">
<!--
function executeHttpRequest() {
  // define
  var url = "/api/v2/contract-information";

  // get form values.
  var sessionID     = document.getElementById("sessionID").value;       // alert(sessionID);
  var objectID      = document.getElementById("objectID").value;        // alert(objectID);
  var objectVersion = document.getElementById("objectVersion").value;   // alert(objectVersion);
  var xmlData       = document.getElementById("xmlData").value;         // alert(xmlData);

  // set callback function
  var req = new XMLHttpRequest();
  if (req) {
    req.onreadystatechange = function(){
      var objResponseStatus = document.getElementById("restResponseStatus");
      var objResponse = document.getElementById("restResponse");
      if (req.readyState == 4) {
        objResponseStatus.textContent = req.status;
        objResponse.textContent = req.responseText;
      } else {
        objResponseStatus.textContent = '';
        objResponse.textContent = '';
      }
    };
  }

  // build request-path(include query string)
  var strRequest = url;
  if(objectID != "") {
    strRequest = strRequest + "/" + objectID;
    if(objectVersion != "") {
      strRequest = strRequest + ":" + objectVersion;
    }
  }
  // disp request-path
  var objRequestPath = document.getElementById("requestPath");
  objRequestPath.textContent = strRequest;

  // executes http-request
  req.open('PUT', strRequest);
  req.setRequestHeader("Content-Type","application/xml");
  req.setRequestHeader("session-id", sessionID);
  req.send(xmlData);

  alert("Submit(PUT) Complete.");
}
//-->
</script>
</head>
<body>
<h1>Contract-Information V2 (PUT)</h1>
<h2>Request</h2>
<form name="fm">
<table><tbody>
<tr><td align="right">SessionID:</td><td><input type="text" id="sessionID" size="30"><input type="button" onClick="document.getElementById('sessionID').value=getSessionId()" value="[GetSession]"></td></tr>
<tr><td align="right">ObjectID:</td><td><input type="text" id="objectID" size="30"></td></tr>
<tr><td align="right">ObjectVersion:</td><td><input type="text" id="objectVersion" size="30"></td></tr>
<tr><td align="right">XML Data:</td><td><textarea id="xmlData" cols="30" rows="5"></textarea></td></tr>
</tbody></table>
<input type="button" onClick="executeHttpRequest()" value="Submit">
</form>
<br>
RequestPath&nbsp;->&nbsp;<span id="requestPath"></span>
<hr>

<h2>Response</h2>
StatusCode: <span id="restResponseStatus"></span>
<pre><span id="restResponse"></span></pre>

</body>

</html>